#
# spec file for package python-pyftpdlib
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2016 LISA GmbH, Bingen, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-pyftpdlib
Version:        1.5.2
Release:        1.1
Summary:        Very fast asynchronous FTP server library
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/giampaolo/pyftpdlib/
Source:         https://files.pythonhosted.org/packages/source/p/pyftpdlib/pyftpdlib-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module mock}
BuildRequires:  %{python_module nose}
BuildRequires:  %{python_module pyOpenSSL}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
Requires:       python-pyOpenSSL
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%python_subpackages

%description
Python FTP server library provides a high-level portable interface to easily
write very efficient, scalable and asynchronous FTP servers with Python. It is
the most complete `RFC-959 <http://www.faqs.org/rfcs/rfc959.html>`__ FTP server
implementation available for `Python <http://www.python.org/>`__ programming
language and it's used in projects like
`Google Chromium <http://www.code.google.com/chromium/>`__ and
`Bazaar <http://bazaar-vcs.org/>`__ and included in
`Debian <http://packages.debian.org/sid/python-pyftpdlib>`__,
`Fedora <https://admin.fedoraproject.org/pkgdb/packages/name/pyftpdlib>`__ and
`FreeBSD <http://www.freshports.org/ftp/py-pyftpdlib/>`__ package repositories.

%prep
%setup -q -n pyftpdlib-%{version}

%build
%python_build

%install
%python_install

%check
#%%python_exec -m nose #pyftpdlib/test
export PYTHONPATH=$PWD
%python_exec pyftpdlib/test/runner.py

%files %{python_files}
%defattr(-,root,root,-)
%doc README.rst LICENSE
%python3_only %{_bindir}/ftpbench
%{python_sitelib}/*

%changelog
* Thu Jun 22 2017 jmatejek@suse.com
- update to 1.5.2
  * disables old SSL methods
  * fixed some hangs/crashes
- fixes test failures in OBS
- drop patches that are no longer needed:
  * pyftpdlib-disable-error-0-ssl-unwrap.diff
  * pyftpdlib-disable-incomplete-file-received.diff
  * pyftpdlib-handle-missing-SSLv3.diff
- convert to singlespec
* Mon May  9 2016 hpj@urpla.net
- add patch to disable another failing test, related to icomplete
  file receptions
* Mon May  9 2016 hpj@urpla.net
- add patch to test SSLv3 only, if available
* Mon May  9 2016 hpj@urpla.net
- add patch to disable a test, that triggers an error 0 in ssl
* Sun May  8 2016 hpj@urpla.net
- version 1.5.1: initial build
